curl --request POST \
--url https://api.devin.ai/v1/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"idempotent": false,
"knowledge_ids": [
"<string>"
],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": [
"<string>"
],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": true
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": [
"<string>"
],
"title": "<string>",
"unlisted": false
}
'import requests
url = "https://api.devin.ai/v1/sessions"
payload = {
"prompt": "<string>",
"idempotent": False,
"knowledge_ids": ["<string>"],
"max_acu_limit": 1,
"playbook_id": "<string>",
"secret_ids": ["<string>"],
"session_secrets": [
{
"key": "<string>",
"value": "<string>",
"sensitive": True
}
],
"snapshot_id": "<string>",
"structured_output_schema": {},
"tags": ["<string>"],
"title": "<string>",
"unlisted": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
idempotent: false,
knowledge_ids: ['<string>'],
max_acu_limit: 1,
playbook_id: '<string>',
secret_ids: ['<string>'],
session_secrets: [{key: '<string>', value: '<string>', sensitive: true}],
snapshot_id: '<string>',
structured_output_schema: {},
tags: ['<string>'],
title: '<string>',
unlisted: false
})
};
fetch('https://api.devin.ai/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"url": "<string>",
"is_new_session": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Crear una nueva sesión
Crea una nueva sesión de Devin. Puedes especificar opcionalmente parámetros como el ID de la instantánea y la visibilidad de la sesión.
Autorizaciones
Clave de API personal (apk_user_*) o clave de API de servicio (apk_*)
Cuerpo
Lista de IDs de Knowledge que se usarán. Si es None, se usa todo Knowledge. Si es una lista vacía, no se usa Knowledge.
Límite máximo de ACU; debe ser un valor positivo
x > 0Lista de identificadores de secretos que se usarán. Si es None, se usan todos los secretos. Si es una lista vacía, no se usa ningún secreto.
Lista de secretos específicos de la sesión que se usarán. Estos secretos solo están disponibles en esta sesión y no se almacenan entre los secretos de la organización.
Show child attributes
Show child attributes
JSON Schema (Draft 7) para validar la salida estructurada. Máx. 64 KB. Debe ser autocontenido (sin $ref externos).
Lista de etiquetas para agregar a la sesión.
50Título personalizado de la sesión. Si es None, se generará un título automáticamente.

